<?php

/**
 * AuthController
 *
 * @author
 * @version
 */

require_once 'Zend/Controller/Action.php';

class AuthController extends Zend_Controller_Action
{
	/**
	 * The default action - show the home page
	 */
	
	public function loginAction()
	{
		Zend_Loader::loadClass("Auth_CustomAdapter");
		
		$loginForm = new Zend_Form('LoginForm');
		$loginForm->setMethod('post');
 
        $loginForm->addElement(
            'text', 'username', array(
                'label' => 'Username:',
                'required' => true,
                'filters'    => array('StringTrim'),
            ));
 
        $loginForm->addElement('password', 'password', array(
            'label' => 'Password:',
            'required' => true,
            ));
 
        $loginForm->addElement('submit', 'submit', array(
            'ignore'   => true,
            'label'    => 'Login',
            ));
        $this->view->loginForm = $loginForm;
        
        if ( in_array("Login", $this->_request->getParams()))
        {
        	$adapter = new Auth_CustomAdapter($this->_request->getParam("username"), $this->_request->getParam("password"));
        	$result = Zend_Auth::getInstance()->authenticate($adapter);
            if ($result->isValid()) {
                $this->_helper->redirector("index","article");
            }
            else
            {
                $this->view->message = "Logowanie się nie powiodło";
            }
        }
	}
	
	public function logoutAction()
	{
		Zend_Auth::getInstance()->clearIdentity();
		$this->_helper->redirector("login","auth");
	}

}
