<?php

// Define path to application directory
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../application'));

// Define application environment
defined('APPLICATION_ENV')
    || define('APPLICATION_ENV', (getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'production'));

// Ensure library/ is on include_path
set_include_path(implode(PATH_SEPARATOR, array(
    //realpath(APPLICATION_PATH . '/../library'),
	realpath(APPLICATION_PATH . '/../../_CommonLibs'), 
	realpath(APPLICATION_PATH . '/models'), 
	get_include_path(),
)));

/** Zend_Application */
require_once 'Zend/Application.php';
require_once 'Zend/Loader.php';
Zend_Loader::loadClass( 'Zend_Loader_Autoloader' );
Zend_Loader::loadClass('Zend_Config_Ini');
Zend_Loader::loadClass('Zend_Registry'); 
Zend_Loader::loadClass('Zend_Db');
Zend_Loader::loadClass('Zend_Db_Table');

Zend_Loader::loadClass('Oddzial');
Zend_Loader::loadClass('Osoba');

// Wczytanie konfiguracji
$config = new Zend_Config_Ini('../application/configs/dbconfig.ini', 'general');
$registry = Zend_Registry::getInstance();
$registry->set( 'config', $config ); 

// Ustawienie bazy danych
$db = Zend_Db::factory(	$config->db->adapter, $config->db->config->toArray() );
Zend_Db_Table::setDefaultAdapter( $db ); 

// Create application, bootstrap, and run
$application = new Zend_Application(
    APPLICATION_ENV,
    APPLICATION_PATH . '/configs/application.ini'
);

$application->bootstrap()
            ->run();